## ifupdown 0.8.19

=== Makefile ===
VERSION ?= 0.7
CFLAGS ?= -Wall -W -Wno-unused-parameter -g -O2
ARCH ?= linux

BASEDIR ?= $(DESTDIR)

CFLAGS += -std=c99 -D_DEFAULT_SOURCE
CFLAGS += -D'IFUPDOWN_VERSION="$(VERSION)"'

DEFNFILES := inet.defn ipx.defn inet6.defn can.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archcommon.o arch$(ARCH).o meta.o link.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

DEFNFILES += meta.defn link.defn

all : ifup ifdown ifquery ifup.8 ifdown.8 ifquery.8 interfaces.5

.PHONY : all clean distclean
.SECONDARY: link.c ipx.c can.c meta.c inet6.c inet.c

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifdown
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifquery
	install -D -m 0755 settle-dad.sh $(BASEDIR)/lib/ifupdown/settle-dad.sh
	install -D -m 0755 wait-for-ll6.sh $(BASEDIR)/lib/ifupdown/wait-for-ll6.sh

clean :
	rm -f *.o $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
	-rm -f ./tests/*/*-res*
	-rm -r ./tests/*/state.*

distclean : clean

ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown

ifquery: ifup
	ln -sf ifup ifquery

ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
check: ifup ifdown
	@echo running ./tests/testbuild-$(ARCH)
	@if ! exec ./tests/testbuild-$(ARCH); then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi

interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8 ifquery.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@

%.8.ps: %.8
	groff -mandoc -Tps $< > $@

%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@

%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

=== debian/changelog ===
ifupdown (0.8.19) unstable; urgency=medium

  * Fix exit code of ifquery --state. Closes: #852976

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Jan 2017 14:32:18 +0100

ifupdown (0.8.18) unstable; urgency=medium

  [ Svante Signell ]
  * Makefile: Add removal of tests/*/state.* directories in the clean target.
  * Update testcases for GNU/Hurd.

  [ Guus Sliepen ]
  * Use dynamically allocated strings for filenames. This avoids using
    PATH_MAX, which caused a FTBFS on Hurd. Based on Svante's patch.
    Closes: #845140
  * Fix some memory leaks.
  * Improve error messages.
  * Always immediately quit when running out of memory.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Jan 2017 20:43:06 +0100

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Guus Sliepen <guus@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20120410~), dh-systemd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
 lsb-base, adduser,
 iproute2 [linux-any], freebsd-net-tools [kfreebsd-any], inetutils-tools [hurd-any]
Recommends: isc-dhcp-client | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Replaces: systemd (<< 228-3~)
Breaks: systemd (<< 228-3~)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

## ifupdown 0.8.19+2

=== debian/changelog ===
ifupdown (0.8.19+2) unstable; urgency=medium

  * ifupdown-hotplug changes
  * networking to shut down interfaces at shutdown 

 -- anticapitalista <antix@operamail.com>  Tue, 03 Oct 2017 13:27:02 +0300

ifupdown (0.8.19+1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 20 Sep 2017 00:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Guus Sliepen <guus@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9.20120410~), dh-systemd
+Build-Depends: debhelper (>= 9.20120410~)
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git

## ifupdown 0.8.29+1

=== debian/changelog ===
ifupdown (0.8.29+1) unstable; urgency=medium

  * ifupdown-hotplug changes
  * networking to shut down interfaces at shutdown  

 -- anticapitalista <antix@operamail.com>  Thu, 30 Nov 2017 19:18:49 +0200

ifupdown (0.8.29) unstable; urgency=medium

  [ Sven Joachim ]
  * Remove obsolete conffiles from the system. Closes: #879802

 -- Guus Sliepen <guus@debian.org>  Thu, 26 Oct 2017 20:25:15 +0200

ifupdown (0.8.28) unstable; urgency=medium

  * Fix testsuite failure if ifupdown isn't already installed. 

 -- Guus Sliepen <guus@debian.org>  Wed, 25 Oct 2017 21:38:16 +0200

ifupdown (0.8.27) unstable; urgency=medium

  [ Guus Sliepen ]
  * Automatically bring up VLAN parent interfaces, and bring down VLAN slave
    interfaces. Closes: #879518
  * Update testcases.
  * Flush IP addresses when bringing down physical links. Closes: #845121
  * Add -v option to IPv6 dhclient.
  * Let ifquery print all matching interface stanzas. Closes: #878836
  * Guessnet and network-manager do support the source directive nowadays.
    Closes: #863135
  * Remove all references to upstart from scripts. Closes: #861164
  * Bump Standards-Version.
  * Bump debian/compat and the minimum required debhelper version.

  [ Alex Fox ]
  * Use a more reliable check for Infiniband interfaces. Closes: #857976

 -- Guus Sliepen <guus@debian.org>  Wed, 25 Oct 2017 20:53:27 +0200

ifupdown (0.8.25) unstable; urgency=medium

  [ SATOH Fumiyasu]
  * wait-online.sh: Evaluate "$WAIT_ONLINE_IFACE". Closes: #873475

  [ Guus Sliepen ]
  * Don't check for another instance of ifup running during hotplug.
    Closes: #873110
  * Drop upstart system jobs.

 -- Guus Sliepen <guus@debian.org>  Wed, 30 Aug 2017 22:50:08 +0200

ifupdown (0.8.24) unstable; urgency=medium

  [ Svante Signell ]
  * Fix FTBFS on hurd-i386 and kfreebsd-any. Closes: #869954

  [ Guus Sliepen ]
  * Don't interpret interface names starting with /dev/ as a pattern on
    GNU/Hurd.
  * Support MAC address matching on kFreeBSD.

 -- Guus Sliepen <guus@debian.org>  Fri, 28 Jul 2017 18:05:33 +0200

ifupdown (0.8.23) unstable; urgency=medium

  * Handle interface renaming in the ifupdown-hotplug script. Closes: #869275
  * Fix typo in the manpage. Closes: #869276

 -- Guus Sliepen <guus@debian.org>  Mon, 24 Jul 2017 13:03:31 +0200

ifupdown (0.8.22) unstable; urgency=medium

  * Support interface renaming.
  * Add ifupdown-wait-online.service. Closes: #868650

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Jul 2017 01:10:34 +0200

ifupdown (0.8.21) unstable; urgency=medium

  * Ensure allow-* also allows pattern matching. Closes: #868493

 -- Guus Sliepen <guus@debian.org>  Sun, 16 Jul 2017 13:38:59 +0200

ifupdown (0.8.20) unstable; urgency=medium

  * Change udevadm path to /bin/udevadm. Closes: #852559
  * Add initial pattern matching support.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 15 Jul 2017 22:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: important
 Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9.20120410~)
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10)
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git

=== debian/rules ===
#!/usr/bin/make -f

export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
export CFLAGS := -Wall -W -Wno-unused-parameter $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif
export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DESTDIR := debian/$(shell dh_listpackages)

ifeq "$(ARCH)" "kfreebsd"
CFLAGS += -D'LO_IFACE="lo0"'
endif

%:
	dh $@ --parallel --with systemd

override_dh_installinit:
	dh_installinit --name=networking --no-start
	dh_installinit --name=ifupdown-wait-online --no-start --no-scripts
	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
	dh_installinit --name=network-interface-container --noscripts
	dh_installinit --name=network-interface-security --noscripts
	dh_installinit --name=network-interface --noscripts
	dh_installinit --name=networking --noscripts
	dh_installinit --name=ifup@ --noscripts

override_dh_auto_clean:
	$(MAKE) clean

override_dh_systemd_enable:
	dh_systemd_enable --name=networking

override_dh_installudev:
	dh_installudev --priority=80

## ifupdown 0.8.34ubuntu2

=== debian/changelog ===
ifupdown (0.8.34ubuntu2) cosmic; urgency=medium

  * Re-add chmod +x on ifupdown-hotplug.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Aug 2018 12:51:15 +0100

ifupdown (0.8.34ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jun 2018 13:35:16 -0700

ifupdown (0.8.34) unstable; urgency=medium

  [ Guus Sliepen ]
  * Handle SIGINT and SIGTERM more gracefully.
  * VLAN interfaces in the same allow class are now brought up automatically
    if the physical interface is brought up.

  [ Antonio Terceiro ]
  * Don't call udevadm settle if udev is not installed. Closes: #900046

 -- Guus Sliepen <guus@debian.org>  Fri, 25 May 2018 22:34:33 +0200

ifupdown (0.8.33ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 May 2018 15:59:45 -0700

ifupdown (0.8.33) unstable; urgency=medium

  [ Guus Sliepen ]
  * Allow an interface to recursively bring up VLAN interfaces.
    Closes: #899355

  [ Benjamin Drung ]
  * Split 'udevadm settle' from networking.service. Closes: #899002

 -- Guus Sliepen <guus@debian.org>  Thu, 24 May 2018 16:33:17 +0200

ifupdown (0.8.32ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.
  * Dropped changes, included in Debian:
    - Drop obsolete upstart integration.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 May 2018 21:17:23 -0700

ifupdown (0.8.32) unstable; urgency=medium

  [ Guus Sliepen ]
  * Fix check-mac-address.sh and get-mac-address.sh example scripts.
  * Update the manpages and add an entry to NEWS about the possibility that
    ifupdown runs in parallel. Closes: #894511
  * Migrate the VCS repository to Salsa.
  * Allow ifquery to be run recursively from ifup and ifdown. Closes: #896433

  [ Filipe Brandenburger ]
  * Prevent ExecStartPre from exiting with non-zero status when not supposed
    to do anything. Closes: #894759

 -- Guus Sliepen <guus@debian.org>  Tue, 24 Apr 2018 18:15:34 +0200

ifupdown (0.8.31) unstable; urgency=medium

  * Do not enable ifupdown-wait-online.service by default. Closes: #891139
  * Drop Before=network.target from ifupdown-wait-online.service. 

 -- Guus Sliepen <guus@debian.org>  Sat, 03 Mar 2018 17:49:51 +0100

ifupdown (0.8.30) unstable; urgency=medium

  [ Guus Sliepen ]
  * Use >&2 instead of >/dev/stderr. Closes: #890988
  * Bump Standards-Version and debian/compat.

  [ Arthur Gautier ]
  * Use ip instead of writing to /sys to better supported network namespaces.

 -- Guus Sliepen <guus@debian.org>  Wed, 21 Feb 2018 22:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10)
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+Vcs-Git: https://salsa.debian.org/debian/ifupdown.git
+Vcs-Browser: https://salsa.debian.org/debian/ifupdown
+Rules-Requires-Root: no
 
 Package: ifupdown
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,23 +14,25 @@
 endif
 
 %:
-	dh $@ --parallel --with systemd
+	dh $@
 
 override_dh_installinit:
 	dh_installinit --name=networking --no-start
 	dh_installinit --name=ifupdown-wait-online --no-start --no-scripts
 	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
-	dh_installinit --name=network-interface-container --noscripts
-	dh_installinit --name=network-interface-security --noscripts
-	dh_installinit --name=network-interface --noscripts
 	dh_installinit --name=networking --noscripts
-	dh_installinit --name=ifup@ --noscripts
+	dh_installsystemd --name=networking
+	dh_installsystemd --name=ifup@
+	dh_installsystemd --name=ifupdown-pre
+	dh_installsystemd --no-enable --no-start --name=ifupdown-wait-online
+
+override_dh_install:
+	dh_install
+	# just in case executable bit is lost in a merge
+	[ -x debian/ifupdown/lib/udev/ifupdown-hotplug ]
 
 override_dh_auto_clean:
 	$(MAKE) clean
 
-override_dh_systemd_enable:
-	dh_systemd_enable --name=networking
-
 override_dh_installudev:
 	dh_installudev --priority=80

## ifupdown 0.8.35

=== debian/changelog ===
ifupdown (0.8.35) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Guus Sliepen ]
  * Deprecate the netmask and broadcast options. Closes: #912220
  * Bump Standards-Version and Build-Depends on debhelper-compat (= 12).
  * Make sure no systemd scripts are restarted on upgrades. Closes: #900269
  * Use a DUID for DHCPv4 when using dhclient. Closes: #906894

 -- Guus Sliepen <guus@debian.org>  Mon, 28 Jan 2019 21:37:33 +0100

## ifupdown 0.8.35ubuntu1

=== debian/changelog ===
ifupdown (0.8.35ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 22:38:32 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/ifupdown.git
 Vcs-Browser: https://salsa.debian.org/debian/ifupdown
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,16 @@
 	dh $@
 
 override_dh_installinit:
-	dh_installinit --name=networking --no-start
-	dh_installinit --name=ifupdown-wait-online --no-start --no-scripts
+	dh_installinit --name=networking -r --no-start --no-restart-after-upgrade
+	dh_installinit --name=ifupdown-wait-online -r --no-start --no-restart-after-upgrade --no-scripts
 	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
-	dh_installinit --name=networking --noscripts
-	dh_installsystemd --name=networking
-	dh_installsystemd --name=ifup@
-	dh_installsystemd --name=ifupdown-pre
-	dh_installsystemd --no-enable --no-start --name=ifupdown-wait-online
+	dh_installinit --name=networking -r --no-start --no-restart-after-upgrade --no-scripts
+
+override_dh_installsystemd:
+	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=networking
+	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=ifup@
+	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=ifupdown-pre
+	dh_installsystemd --no-enable -r --no-start --no-restart-after-upgrade --name=ifupdown-wait-online
 
 override_dh_install:
 	dh_install

## ifupdown 0.8.35ubuntu2

=== debian/changelog ===
ifupdown (0.8.35ubuntu2) groovy; urgency=medium

  * Ship resolved integration scripts.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 10:55:18 +0100

## ifupdown 0.8.35+antix1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION ?= 0.7
+VERSION ?= 0.8
 CFLAGS ?= -Wall -W -Wno-unused-parameter -g -O2
-ARCH ?= linux
+ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 BASEDIR ?= $(DESTDIR)
 
@@ -18,7 +18,7 @@
 
 all : ifup ifdown ifquery ifup.8 ifdown.8 ifquery.8 interfaces.5
 
-.PHONY : all clean distclean
+.PHONY : all install clean distclean check
 .SECONDARY: link.c ipx.c can.c meta.c inet6.c inet.c
 
 install :
@@ -28,13 +28,14 @@
 	ln -s /sbin/ifup ${BASEDIR}/sbin/ifquery
 	install -D -m 0755 settle-dad.sh $(BASEDIR)/lib/ifupdown/settle-dad.sh
 	install -D -m 0755 wait-for-ll6.sh $(BASEDIR)/lib/ifupdown/wait-for-ll6.sh
+	install -D -m 0755 wait-online.sh $(BASEDIR)/lib/ifupdown/wait-online.sh
 
 clean :
 	rm -f *.o $(patsubst %.defn,%.c,$(DEFNFILES)) *~
 	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
 	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
 	-rm -f ./tests/*/*-res*
-	-rm -r ./tests/*/state.*
+	-rm -rf ./tests/*/state.*
 
 distclean : clean
 
@@ -47,7 +48,6 @@
 ifquery: ifup
 	ln -sf ifup ifquery
 
-ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 check: ifup ifdown
 	@echo running ./tests/testbuild-$(ARCH)
 	@if ! exec ./tests/testbuild-$(ARCH); then \

=== debian/changelog ===
ifupdown (0.8.35+antix1) unstable; urgency=medium

  * antiX build to stop long eth delays 

 -- anticapitalista <antix@operamail.com>  Sun, 20 Oct 2019 17:35:40 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Guus Sliepen <guus@debian.org>
 Standards-Version: 4.3.0
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/ifupdown.git

## ifupdown 0.8.35+nmu1

=== debian/changelog ===
ifupdown (0.8.35+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:43:44 +0800

## ifupdown 0.8.36

=== debian/changelog ===
ifupdown (0.8.36) unstable; urgency=low

  [ Janos Lenart ]
  * Fixed source interfaces.d/

  [ Guus Sliepen ]
  * Really strip VLAN and alias ids when bringing hotplug interfaces up.
  * Have the init script ignore hotplug interfaces that are already up.
    (Closes: #838871)
  * Allow disabling of client-identifier option for IPv4 dhclient.
    (Closes: #923640)
  * Fix ping check loginc in ifupdown-wait-online.service. Closes: #952455

  [ Andrej Shadura ]
  * Change the way my name is written in the version info

  [ Santiago Ruano Rincón ]
  * Declare Josué as New Maintainer and Myself as Uploader. Thanks for your
    work Guus! (Closes: #963891)
  * Add debian/salsa-ci.yml

  [ Josué Ortega ]
  * Update package to use debhelper-compat (= 13)
  * Fix grammar errors on can.defn and inet6.defn files. Thanks
    to Ville Skyttä <ville.skytta@iki.fi> for the patch. (Closes: #966586)
  * ifup.8: Update manpage maintainers name
  * Bump Standards-Version to 4.5.0. No changes required.

  [ Bernhard Schmidt ]
  * Fix race condition adding a static IPv6 default route on RA networks
    (Closes: #805445)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 04 Nov 2020 07:37:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper-compat (= 12)
+Maintainer: Josué Ortega <josue@debian.org>
+Uploaders: Santiago Ruano Rincón <santiago@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/ifupdown.git
 Vcs-Browser: https://salsa.debian.org/debian/ifupdown
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,6 @@
 	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=ifupdown-pre
 	dh_installsystemd --no-enable -r --no-start --no-restart-after-upgrade --name=ifupdown-wait-online
 
-override_dh_install:
-	dh_install
-	# just in case executable bit is lost in a merge
-	[ -x debian/ifupdown/lib/udev/ifupdown-hotplug ]
-
 override_dh_auto_clean:
 	$(MAKE) clean

## ifupdown 0.8.36ubuntu1

=== debian/changelog ===
ifupdown (0.8.36ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.
    - Ship resolved integration scripts.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 May 2021 14:45:03 -0700

## ifupdown 0.8.36+nmu1ubuntu3

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu3) jammy; urgency=medium

  * debian/if-up.d/resolved: also chown $statedir to
    systemd-resolve:systemd-resolve (LP: #1896772)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Sun, 17 Apr 2022 21:21:49 +0000

ifupdown (0.8.36+nmu1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:01:51 +0000

ifupdown (0.8.36+nmu1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.
    - Ship resolved integration scripts.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Oct 2021 14:59:15 -0700

ifupdown (0.8.36+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove harcoded path for /bin/run-parts and /sbin/ip (Closes: #992425)

 -- Christian Marillat <marillat@debian.org>  Thu, 19 Aug 2021 01:33:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Josué Ortega <josue@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josué Ortega <josue@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13)

## ifupdown 0.8.36+nmu1ubuntu3+11.0trisquel0

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu3+11.0trisquel0) aramo; urgency=medium

  * Manually apply LP: #1907878 on aramo

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Jan 2023 07:37:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Josué Ortega <josue@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 4.5.0

## ifupdown 0.8.36+nmu1ubuntu3.1

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu3.1) jammy; urgency=medium

  [ Uwe Kleine-König ]
  * Fix if-up.d/resolved hook to properly work with nameservers and search
    domains (LP: #1981103)

  [ Heinrich Schuchardt ]
  *  Remove invalid lines from resolved integration scripts (LP: #1907878)

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 16 Oct 2023 14:41:24 +0000

=== debian/tests/control ===
Tests: hotplug
Depends: ifupdown
# requires udev, thus does not work in containers
Restrictions: needs-root, isolation-machine

## ifupdown 0.8.36+nmu1ubuntu3.1+11.0trisquel1

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu3.1+11.0trisquel1) aramo; urgency=medium

  * Clean helper from manually patching previous bugs.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Nov 2023 05:27:45 +0000

## ifupdown 0.8.36+nmu1ubuntu4

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu4) kinetic; urgency=medium

  * Remove invalid lines from resolved integration scripts (LP: #1907878) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sun, 15 May 2022 15:35:51 +0200

## ifupdown 0.8.36+nmu1ubuntu4.1

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu4.1) lunar; urgency=medium

  [ Uwe Kleine-König ]
  * Fix if-up.d/resolved hook to properly work with nameservers and search
    domains (LP: #1981103)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 16 Oct 2023 14:34:24 +0000

## ifupdown 0.8.36+nmu1ubuntu5

=== debian/changelog ===
ifupdown (0.8.36+nmu1ubuntu5) mantic; urgency=medium

  [ Uwe Kleine-König ]
  * Fix if-up.d/resolved hook to properly work with nameservers and search
    domains (LP: #1981103)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 06 Sep 2023 13:23:34 +0000

## ifupdown 0.8.41

=== debian/changelog ===
ifupdown (0.8.41) unstable; urgency=high

  * networking.service: Improve how to handle hotplug devices. Thanks to kibi,
    Oleg A. Arkhangelsky <sysoleg@yandex.ru>, et al.
    (Closes: #1022843, #1029449)
  * d/tests/hotplug: add more tests, including unplugged dummy interface

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 24 Jan 2023 14:07:32 +0100

ifupdown (0.8.40) unstable; urgency=medium

  [ Colin Watson ]
  * Clarify formatting of post-up and pre-down aliases in interfaces(5).

  [ Vincent Bernat ]
  * Kill dhclient on down for inet6 auto method. (Closes: #1000180)

  [ Santiago Ruano Rincón ]
  * networking.service: Wants ifupdown-pre.service instead of Requiring it.
    Patch by Ron <ron@debian.org>
    (Closes: #998088)
  * networking.service: Add ExecStart=/sbin/ifup -a --allow=hotplug. Patch by
    "Oleg A. Arkhangelsky" <sysoleg@yandex.ru>
    (Closes: #1022843)
  * Update d/copyright and fix Source URL

  [ Marek Vasut ]
  * Add short -f option for --force long option

  [ Simon Arlott ]
  * Support IPv6 tunnels (ip6ip6 and ip6gre)
  * Support encaplimit on IPv6 tunnels
  * Document and test support for ipip6 tunnels too (IPv4 in IPv6)

  [ Guillem Jover ]
  * Rework execable() function to accept a filename instead of a pathname
  * Do not use absolute pathnames when executing commands

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 16 Jan 2023 14:57:59 +0100

ifupdown (0.8.39) unstable; urgency=low

  * Add execution permission on resolved scripts. Thanks to Vincent Lefèvre
    (Closes: #1021259)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 04 Oct 2022 17:24:23 +0200

ifupdown (0.8.38) unstable; urgency=low

  [ Johannes Schauer Marin Rodrigues ]
  * Remove dependency on lsb-base (Closes: #1020604)

  [ Santiago Ruano Rincón ]
  * Remove pump support (no longer in Debian archive)
  * Fix error message when turning down VLAN interfaces. Thanks to Aleksandr
    Muravjov (Closes: #1007889)
  * Ship Ubuntu's integration scripts for systemd-resolved. Thanks to Luca
    Boccassi (Closes: #1016798)
  * Add rfkill support. Thanks to Sebastian Reichel <sre@debian.org>
    (Closes: #645559)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 03 Oct 2022 16:24:38 +0200

ifupdown (0.8.37) unstable; urgency=low

  * Add debian/gbp.conf
  * Acknowledge 0.8.36+nmu1.
  * Add timeout for IPv6 stateless dhcp. Thanks to Joerg Dorchain <joerg@dorchain.net>
    (Closes: #947234)
  * Correctly copy (duplicate) the interface to exclude with --read-environment. Thanks to Adam Stephens <adam.stephens@gmail.com>
    (Closes: #994745)
  * Include restart-ms option in can config. Thanks to Joerg Dorchain <joerg@dorchain.net>
    (Closes: #947233)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 19 Jan 2022 20:55:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Josué Ortega <josue@debian.org>
+Maintainer: Josué Ortega <josue@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/ifupdown.git
 Vcs-Browser: https://salsa.debian.org/debian/ifupdown
@@ -13,7 +12,7 @@
 Package: ifupdown
 Architecture: any
 Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
- lsb-base, adduser,
+ adduser,
  iproute2 [linux-any], freebsd-net-tools [kfreebsd-any], inetutils-tools [hurd-any]
 Recommends: isc-dhcp-client | dhcp-client
 Suggests: ppp, rdnssd, ${net:Suggests}

## ifupdown 0.8.41ubuntu1

=== debian/changelog ===
ifupdown (0.8.41ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.
    - Fix if-up.d/resolved hook to properly work with nameservers and search
      domains (LP: 1981103)
  * Changes now included in Debian:
    - Ship resolved integration scripts.

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 14 Feb 2024 14:14:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Josué Ortega <josue@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josué Ortega <josue@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13)

## ifupdown 0.8.43ubuntu2

=== debian/changelog ===
ifupdown (0.8.43ubuntu2) oracular; urgency=medium

  * Fix FTBFS due to usr-merge transition

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 07 May 2024 12:07:56 +0200

ifupdown (0.8.43ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran.
    Dropped changes, applied in Debian:
    - Fix if-up.d/resolved hook to properly work with nameservers and search
      domains (LP: 1981103)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 07 May 2024 11:46:11 +0200

ifupdown (0.8.43) unstable; urgency=medium

  * Install remaining /lib files in /usr, by setting PKGLIBDIR in
    debian/rules. Thanks to Helmut Grohne

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 12 Mar 2024 08:45:09 -0300

ifupdown (0.8.42) unstable; urgency=medium

  [ Uwe Kleine-König ]
  * Fix if-up.d/resolved hook to properly work with nameservers and search
    domains. Thanks to Dmytro Kolesnykov and Ken Milmore for the bug report
    and a proposed patch. (Closes: #1031236)

  [ Guillem Jover ]
  * Use relative names when executing programs

  [ Santiago Ruano Rincón ]
  * DEP17: Move files to /usr. Thanks to Helmut Grohne <helmut@subdivi.de>
    (Closes: #1059919)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 10 Mar 2024 17:17:50 -0300

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 endif
 export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 export DESTDIR := debian/$(shell dh_listpackages)
+export PKGLIBDIR := /usr/lib/ifupdown
 
 ifeq "$(ARCH)" "kfreebsd"
 CFLAGS += -D'LO_IFACE="lo0"'
@@ -28,6 +29,11 @@
 	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=ifupdown-pre
 	dh_installsystemd --no-enable -r --no-start --no-restart-after-upgrade --name=ifupdown-wait-online
 
+override_dh_install:
+	dh_install
+	# just in case executable bit is lost in a merge
+	[ -x debian/ifupdown/usr/lib/udev/ifupdown-hotplug ]
+
 override_dh_auto_clean:
 	$(MAKE) clean

## ifupdown 0.8.43ubuntu3

=== debian/changelog ===
ifupdown (0.8.43ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:37:49 +0000

## ifupdown 0.8.44

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,11 @@
 ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 BASEDIR ?= $(DESTDIR)
+PKGLIBDIR ?= /lib/ifupdown
 
 CFLAGS += -std=c99 -D_DEFAULT_SOURCE
 CFLAGS += -D'IFUPDOWN_VERSION="$(VERSION)"'
+CFLAGS += -D'PKGLIBDIR="$(PKGLIBDIR)"'
 
 DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
@@ -22,13 +24,13 @@
 .SECONDARY: link.c ipx.c can.c meta.c inet6.c inet.c
 
 install :
-	install -m 0755 -d     ${BASEDIR}/sbin
-	install -m 0755 ifup   ${BASEDIR}/sbin
-	ln -s /sbin/ifup ${BASEDIR}/sbin/ifdown
-	ln -s /sbin/ifup ${BASEDIR}/sbin/ifquery
-	install -D -m 0755 settle-dad.sh $(BASEDIR)/lib/ifupdown/settle-dad.sh
-	install -D -m 0755 wait-for-ll6.sh $(BASEDIR)/lib/ifupdown/wait-for-ll6.sh
-	install -D -m 0755 wait-online.sh $(BASEDIR)/lib/ifupdown/wait-online.sh
+	install -m 0755 -d     ${BASEDIR}/usr/sbin
+	install -m 0755 ifup   ${BASEDIR}/usr/sbin
+	ln -s /usr/sbin/ifup ${BASEDIR}/usr/sbin/ifdown
+	ln -s /usr/sbin/ifup ${BASEDIR}/usr/sbin/ifquery
+	install -D -m 0755 settle-dad.sh $(BASEDIR)$(PKGLIBDIR)/settle-dad.sh
+	install -D -m 0755 wait-for-ll6.sh $(BASEDIR)$(PKGLIBDIR)/wait-for-ll6.sh
+	install -D -m 0755 wait-online.sh $(BASEDIR)$(PKGLIBDIR)/wait-online.sh
 
 clean :
 	rm -f *.o $(patsubst %.defn,%.c,$(DEFNFILES)) *~

=== debian/changelog ===
ifupdown (0.8.44) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ MichaIng ]
  * Remove Conflicts=shutdown.target from ifup@.service
  * Remove obsolete workaround from ifup@.service

  [ Martin-Éric RACINE ]
  * [control] Recommends from isc-dhcp-client to dhcpcd-base

  [ Santiago Ruano Rincón ]
  * Change Maintainer to the Networking team

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 17 Sep 2024 09:08:12 -0300

=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,6 @@
 	dh_installsystemd --no-start -r --no-restart-after-upgrade --name=ifupdown-pre
 	dh_installsystemd --no-enable -r --no-start --no-restart-after-upgrade --name=ifupdown-wait-online
 
-override_dh_install:
-	dh_install
-	# just in case executable bit is lost in a merge
-	[ -x debian/ifupdown/usr/lib/udev/ifupdown-hotplug ]
-
 override_dh_auto_clean:
 	$(MAKE) clean

=== debian/tests/control ===
Tests: hotplug
Depends: ifupdown
# requires udev, thus does not work in containers
Restrictions: needs-root, isolation-machine, needs-reboot

## ifupdown 0.8.44+deb13u1

=== debian/changelog ===
ifupdown (0.8.44+deb13u1) trixie; urgency=medium

  * Fix ifup regression where it would return before IPv6 DAD had
    completed allowing boot to proceed and causing subsequent service
    start failures with "Cannot assign requested" or "Address not available".
    (Closes: #1122511)
  * Fix ifup regression calling dhclient before IPv6 link-locals are
    available on interface.
    (Closes: #1088852)
  * Fix execable() returning false for scripts in lib(exec) causing the
    above regressions. This underlying bug was introduced in 0.8.42.
  * Add myself to Uploaders.

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 08 Jan 2026 14:17:04 +0100

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Debian Networking Team <team+networking@tracker.debian.org>
Uploaders:
 Daniel Gröber <dxld@darkboxed.org>,
 Josué Ortega <josue@debian.org>,
 Santiago Ruano Rincón <santiago@debian.org>,
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/ifupdown.git
Vcs-Browser: https://salsa.debian.org/debian/ifupdown
Rules-Requires-Root: no

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
 adduser,
 iproute2 [linux-any], freebsd-net-tools [kfreebsd-any], inetutils-tools [hurd-any]
Recommends: dhcpcd-base | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

## ifupdown 0.8.45~exp1

=== debian/changelog ===
ifupdown (0.8.45~exp1) experimental; urgency=medium

  * Fix ifup regression where it would return before IPv6 DAD had
    completed allowing boot to proceed and causing subsequent service
    start failures with "Cannot assign requested" or "Address not available".
    (Closes: #1122511)
  * Fix ifup regression calling dhclient before IPv6 link-locals are
    available on interface.
    (Closes: #1088852)
  * Fix execable() returning false for scripts in lib(exec) causing the
    above regressions. This underlying bug was introduced in 0.8.42.
  * Add myself to Uploaders.
  * Fix 'old-fsf-address-in-copyright-file' lintian warning

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 06 Jan 2026 11:40:23 +0100

## ifupdown 0.8.45

=== debian/changelog ===
ifupdown (0.8.45) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 07 Jan 2026 12:05:46 +0100
